<?php
interface AlarmingInterface {
	static public function processAlarm (
			InstAddr   $inst_addr,				// instance address
			$evt_time,							// event time
			EventSpec  $evt_spec,				// event specification
			ServInfl   $serv_infl = null,		// service influence
			AlarmSevty $perc_sev  = null,		// perceived severity
			$src_host_name = null,				// source host name (local if null)
			HostAddr   $src_host_addr = null,	// source host address 
			HostAddr   $tgt_host_addr = null	// target host address 
			); 
			
	// return value:
	//		0: success
	//		99: failure, if implementation does not throw exceptions
}
