<?php
require_once 'util/Logger.php';

class LoggingStub implements AlarmingInterface {

	static public function processAlarm (
			InstAddr   $inst_addr,		  // instance address
			$evt_time,					  // event time
			EventSpec  $evt_spec,		  // event specification
			ServInfl   $serv_infl = null, // service influence
			AlarmSevty $perc_sev  = null, // perceived severity
			$src_host_name = null,				// source host name (local if null)
			HostAddr   $src_host_addr = null,	// source host address 
			HostAddr   $tgt_host_addr = null	// target host address 
			) {

		$logger = Logger::getInstance();
		$logger->log(__CLASS__, "processAlarm (
  InstAddr      $inst_addr,
  evt_time      $evt_time,
  EventSpec     $evt_spec,
  ServInfl      $serv_infl,
  AlarmSevty    $perc_sev,
  src_host_name $src_host_name,
  src_host_addr $src_host_addr,
  tgt_host_addr $tgt_host_addr )", LOG_INFO);
	}
}
