<?php
require_once 'AlarmInterface/AlarmingInterface.php';

class SimpleSoapAlarming implements AlarmingInterface {
// 	public function __construct($wsdl = "http://localhost/WebserverHelper/service.php?class=SoapAlarming&wsdl", $options = array()) {
//    	parent::__construct($wsdl, $options);
//  	}
	
	
	public function processAlarm (
			InstAddr   $inst_addr,		  // instance address
			$evt_time,					  // event time
			EventSpec  $evt_spec,		  // event specification
			ServInfl   $serv_infl = null, // service influence
			AlarmSevty $perc_sev  = null, // perceived severity
			$src_host_name = null,				// source host name (local if null)
			HostAddr   $src_host_addr = null,	// source host address 
			HostAddr   $tgt_host_addr = null	// target host address 
			) {
				
		// check input		
		if ($tgt_host_addr == null) throw new Exception("no remote host given");
		
		// create SOAP client
		$host = $tgt_host_addr->getValue();
		$soap_client = new SoapClient(
			"http://localhost/WebserverHelper/service.php?class=SoapAlarming&wsdl",
			array("location" => "http://$host/WebserverHelper/service.php?class=SoapAlarming")
		); 
		$soap_client->processAlarm(
			$inst_addr,		  // instance address
			$evt_time,					  // event time
			$evt_spec,		  // event specification
			$serv_infl, // service influence
			$perc_sev, // perceived severity
			$src_host_name,				// source host name (local if null)
			$src_host_addr	// source host address 
		);		
	}
}
