<?php



/**
 * Skeleton subclass for representing a row from the 'alm_mgmt_host' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    propel.generator.propel
 */
class AlarmingManagementHost extends BaseAlarmingManagementHost {

	/**
	 * Overrides parent methods to switch between db value and type class instance
	 */

	public function getHostAddrSel() {
		return new HostAddrSel($this->host_addr_sel);
	} 

	public function setHostAddrSel($host_addr_sel) {
		parent::setHostAddrSel($host_addr_sel->getValue());
	} 

	public function getHostAddr() {
		return new HostAddr($this->host_addr_sel, $this->host_addr_val);
	} 

	public function setHostAddr(HostAddr $host_addr) {
		parent::setHostAddrSel($host_addr->getSelector()->getValue());
		parent::setHostAddrVal($host_addr->getValue());
	} 

	/**
	 * Overrides parent method to prepare attribute values if needed
	 **/
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		switch($name) {
		    case "host_addr":
				return $this->getHostAddr();
			default:
				return parent::getByName($name, $type);
		} // switch()
	}

	/**
	 * Overrides parent method to replace attribute values if needed
	 **/
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		switch($name) {
			case "host_addr":
			    $this->setHostAddr($value);
				return;
			default:
				return parent::setByName($name, $value, $type);
		} // switch()
	}

	/**
	 * Overrides parent method to maintain modification counting
	 */
	public function save(PropelPDO $con = null)
	{
		if ($this->isNew() || $this->mod >= 999999) {
			$this->setMod(0);
		} else {
			$this->setMod($this->mod + 1);
		}
		return parent::save($con);
	}

} // AlarmingManagementHost
