<?php



/**
 * Skeleton subclass for representing a row from the 'cac' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    propel.generator.propel
 */
class CurrentAlarmCondition extends BaseCurrentAlarmCondition {
	
	/**
	 * Overrides parent methods to switch between db value and type class instance
	 */

	public function getAlmStat() {
		return new AlarmStatus($this->alm_stat);
	} 

	public function setAlmStat($alm_stat) {
		parent::setAlmStat($alm_stat->getValue());
	} 

	public function getServInfl() {
		return new ServInfl($this->serv_infl,$this->obs_val);
	} 

	public function setServInfl($serv_infl) {
		parent::setServInfl($serv_infl->getValue());
		if (null != $serv_infl->getObsVal()) {
			parent::setObsVal($serv_infl->getObsVal());
		}
	} 

} // CurrentAlarmCondition
