<?php



/**
 * This class defines the structure of the 'alm_forw_inst' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class AlarmForwardingInstructionTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.AlarmForwardingInstructionTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('alm_forw_inst');
        $this->setPhpName('AlarmForwardingInstruction');
        $this->setClassname('AlarmForwardingInstruction');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('admin_state', 'AdminState', 'INTEGER', true, null, null);
        $this->addColumn('evt_sel_mode', 'EvtSelMode', 'INTEGER', true, null, null);
        $this->addColumn('forw_evt_sel', 'ForwEvtSel', 'INTEGER', true, null, 0);
        $this->addColumn('dest_host_sel', 'DestHostSel', 'INTEGER', true, null, 0);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('Fes', 'ForwardingEventSelector', RelationMap::ONE_TO_MANY, array('id' => 'afi_id', ), null, null, 'Fess');
        $this->addRelation('Dhs', 'DestinationHostSelector', RelationMap::ONE_TO_MANY, array('id' => 'afi_id', ), null, null, 'Dhss');
    } // buildRelations()

} // AlarmForwardingInstructionTableMap
