<?php



/**
 * This class defines the structure of the 'asev_asgt_rule' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class AlarmSeverityAssignmentRuleTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.AlarmSeverityAssignmentRuleTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('asev_asgt_rule');
        $this->setPhpName('AlarmSeverityAssignmentRule');
        $this->setClassname('AlarmSeverityAssignmentRule');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('precedence', 'Precedence', 'INTEGER', true, null, null);
        $this->addColumn('sev_serv_indep', 'SevServIndep', 'INTEGER', true, null, null);
        $this->addColumn('sev_serv_unaff', 'SevServUnaff', 'INTEGER', true, null, null);
        $this->addColumn('sev_serv_aff', 'SevServAff', 'INTEGER', true, null, null);
        $this->addColumn('evt_sel_mode', 'EvtSelMode', 'INTEGER', true, null, null);
        $this->addColumn('asgt_evt_sel', 'AsgtEvtSel', 'INTEGER', true, null, 0);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('Aes', 'AssignmentEventSelector', RelationMap::ONE_TO_MANY, array('id' => 'asar_id', ), null, null, 'Aess');
    } // buildRelations()

} // AlarmSeverityAssignmentRuleTableMap
