<?php



/**
 * This class defines the structure of the 'alm_man_obj' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class AlarmingManagedObjectTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.AlarmingManagedObjectTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('alm_man_obj');
        $this->setPhpName('AlarmingManagedObject');
        $this->setClassname('AlarmingManagedObject');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('inst_addr_sel', 'InstAddrSel', 'INTEGER', true, null, null);
        $this->addColumn('inst_addr_val', 'InstAddrVal', 'VARCHAR', true, 255, null);
        $this->addForeignKey('amh_id', 'AmhId', 'INTEGER', 'alm_mgmt_host', 'id', true, null, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('AlarmingManagementHost', 'AlarmingManagementHost', RelationMap::MANY_TO_ONE, array('amh_id' => 'id', ), null, null);
        $this->addRelation('Cac', 'CurrentAlarmCondition', RelationMap::ONE_TO_MANY, array('id' => 'amo_id', ), null, null, 'Cacs');
    } // buildRelations()

} // AlarmingManagedObjectTableMap
