<?php



/**
 * This class defines the structure of the 'esc_host_sel' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class EscalationHostSelectorTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.EscalationHostSelectorTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('esc_host_sel');
        $this->setPhpName('EscalationHostSelector');
        $this->setClassname('EscalationHostSelector');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addForeignKey('abm_id', 'AbmId', 'INTEGER', 'alm_bal_mon', 'id', true, null, null);
        $this->addForeignKey('amh_id', 'AmhId', 'INTEGER', 'alm_mgmt_host', 'id', true, null, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('AlarmBalanceMonitor', 'AlarmBalanceMonitor', RelationMap::MANY_TO_ONE, array('abm_id' => 'id', ), null, null);
        $this->addRelation('AlarmingManagementHost', 'AlarmingManagementHost', RelationMap::MANY_TO_ONE, array('amh_id' => 'id', ), null, null);
    } // buildRelations()

} // EscalationHostSelectorTableMap
