<?php
# ------------------------------------------------------------
# Dateiname:        $Source: EventRegistration $
# Version:          $Revision: 0.1 $
# Datum geaendert:  $Date: 2011/01/30 15:00:00 $
# Autor:            $Author: frido $
#   ---------------------------------------------------------

// imports
require_once 'AlarmManagement/DataTypes/EventSpec.php';

class EventRegistration {
	
	static function registerEvent(
			EventSpec $evt_spec,
					  &$aed_id)
	{
		$aed = AlarmEventDescriptorQuery::create()->findOneByEvtSpecVal($evt_spec->getValue());
		
		if ($aed == NULL) {
			$aed = new AlarmEventDescriptor();

			$aed->setName($evt_spec);
			$aed->setEvtSpec($evt_spec);

			$aed->save();
		}

		$aed_id = $aed->getId();
	}
}
?>
