<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class AdminState extends EnumType {

	/** the possible values for attribute administrative state */
	const AD_UNLOCK = 1; // unlocked
	const AD_LOCK   = 2; // locked
	const AD_SHDOWN = 3; // shutting down

	// (string representations of) defined values
	public static $defd_vals = array (
		self::AD_UNLOCK => 'unlocked',
		self::AD_LOCK	=> 'locked',
		self::AD_SHDOWN => 'shutdown'
	);

	public function __construct($value) {
		$this->initInstance('AdminState', self::$defd_vals, $value);
	}
}
