<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class EventSel extends EnumType {

	/** the possible values for type event selector */
	const OID_NUMBER = 1; // ASN1 object identifier - number form
	const OID_TEXT	 = 2; // ASN1 object identifier - name form      
	const OID_MIXED	 = 3; // ASN1 object identifier - mixed form 
	const FREE_FORM	 = 4; // free form
	const ABM_ESC	= 5; // ABM escalation

	// (string representations of) defined values
	public static $defd_vals = array (
		self::OID_NUMBER => 'oid_number',
		self::OID_TEXT 	 => 'oid_text',
		self::OID_MIXED  => 'oid_mixed',
		self::FREE_FORM  => 'free_form',
		self::ABM_ESC => 'ABM_escalation'
	);

	public function __construct($value) {
		$this->initInstance('EventSel', self::$defd_vals, $value);
	}
}
