<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class SelectMode extends EnumType {

	/** the possible values for attribute selection mode */
	const SM_EXCL = 1;	// selection exclude
	const SM_INCL = 2;	// selection include

	// (string representations of) defined values
	public static $defd_vals = array (
		self::SM_EXCL => 'exclude',
		self::SM_INCL => 'include'
	);

	public function __construct($value) {
		$this->initInstance('SelectMode', self::$defd_vals, $value);
	}
}
