<?php
error_reporting(E_ALL);
ob_start("ob_gzhandler");

require_once ("config.php");

if(!extension_loaded("soap"))
	die("Soap extension not loaded!");

session_start();

/** autoload functie voor PHP5 */
function Common_autoload($classname) {
	$path = preg_replace("/SysAl.*/", "SysAl", __FILE__);
	$install_path = $path . "/WebserverHelper";
	if(file_exists("$install_path/lib/data_objects/$classname.class.php"))
		include("$install_path/lib/data_objects/$classname.class.php");
	elseif(file_exists("$install_path/lib/soap/$classname.class.php"))
		include("$install_path/lib/soap/$classname.class.php");
	elseif(file_exists("$install_path/lib/$classname.class.php"))
		include("$install_path/lib/$classname.class.php");
	elseif(file_exists("$path/AlarmInterface/$classname.php"))
		include("$path/AlarmInterface/$classname.php");
}

spl_autoload_register('Common_autoload');


/** Schrijft de gegeven tekst naar de debug file */
function debug($txt,$file="debug.txt"){
	$fp = fopen($file, "a");
	fwrite($fp, str_replace("\n","\r\n","\r\n".$txt));
	fclose($fp);
}

/** Schrijft het gegeven object weg in de debug log */
function debugObject($txt,$obj){
	ob_start();
	print_r($obj);
	$data = ob_get_contents();
	ob_end_clean();
	debug($txt."\n".$data);
}
?>
