<?php
require_once "common.php";

// read POST data
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $HTTP_RAW_POST_DATA = file_get_contents("php://input");
}
$path = preg_replace("/SysAl.*/", "SysAl", __FILE__);
set_include_path($path . PATH_SEPARATOR . get_include_path());
require_once 'util/Logger.php';

// Logging
$logger = Logger::getInstance();
foreach ( $_SERVER as $key => $value) {
	$logger->log(__FILE__, $key . " : " . $value);;
}
if (isset($HTTP_RAW_POST_DATA))$logger->log(__FILE__,"HTTP_RAW_POST_DATA = $HTTP_RAW_POST_DATA");


if($_GET['class'] && (in_array($_GET['class'], $WSClasses) || in_array($_GET['class'], $WSStructures))) {
	$WSHelper = new WSHelper("http://schema.example.com", $_GET['class']);
	$WSHelper->actor = "http://schema.example.com";
	$WSHelper->use = SOAP_ENCODED; 
	$WSHelper->classNameArr = $WSClasses;
	$WSHelper->structureMap = $WSStructures;
	$WSHelper->setPersistence(SOAP_PERSISTENCE_REQUEST);
	$WSHelper->setWSDLCacheFolder('wsdl/'); //trailing slash mandatory. Default is 'wsdl/'
	try {
		$WSHelper->handle();
		//possible db transaction commit
	}catch(Exception $e) {
		//possible db transaction rollback
		$WSHelper->fault("SERVER", $e->getMessage(),"", $e->__toString());
	}
} else {
	die("No valid class selected");
}
?>