<?php



/**
 * Skeleton subclass for representing a row from the 'ping_wdog' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    propel.generator.propel
 */
class PingWatchdog extends BasePingWatchdog {
    public function getEvtSpecSel() {
        return new EventSel($this->evt_spec_sel);
    }
    
    public function setEvtSpecSel($evt_spec_sel) {
        parent::setEvtSpecSel($evt_spec_sel->getValue());
    }
    
    public function getEvtSpec() {
        return new EventSpec($this->evt_spec_sel, $this->evt_spec_val);
    }
    
    public function setEvtSpec(EventSpec $evt_spec) {
        parent::setEvtSpecSel($evt_spec->getSelector()->getValue());
        parent::setEvtSpecVal($evt_spec->getValue());
    }
    
    public function getInstAddrSel() {
        return new InstAddrSel($this->inst_addr_sel);
    }
    
    public function setInstAddrSel($inst_addr_sel) {
        parent::setInstAddrSel($inst_addr_sel->getValue());
    }
    
    public function getInstAddr() {
        return new InstAddr($this->inst_addr_sel, $this->inst_addr_val);
    }
    
    public function setInstAddr(InstAddr $inst_addr) {
        parent::setInstAddrSel($inst_addr->getSelector()->getValue());
        parent::setInstAddrVal($inst_addr->getValue());
    }
    
    public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
    {
        switch ($name) {
            case 'evt_spec':
                return $this->getEvtSpec();
                break;
            case 'inst_addr':
                return $this->getInstAddr();
                break;
            default:
        }
        return parent::getByName($name, $type);
    }
    public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
    {
        switch ($name) {
            case 'evt_spec':
                return $this->setEvtSpec($value);
                break;
            case 'inst_addr':
                return $this->setInstAddr($value);
                break;
            default:
        }
        return parent::setByName($name, $value, $type);
    }
    /**
     * Overrides parent method to maintain modification counting
     */
    public function save(PropelPDO $con = null)
    {
        if ($this->isNew() || $this->mod >= 999999) {
            $this->setMod(0);
        } else {
            $this->setMod($this->mod + 1);
        }
        return parent::save($con);
    }
    
} // PingWatchdog
