<?php



/**
 * This class defines the structure of the 'rem_wdog' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class RemoteWatchdogTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.RemoteWatchdogTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('rem_wdog');
        $this->setPhpName('RemoteWatchdog');
        $this->setClassname('RemoteWatchdog');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('inst_addr_sel', 'InstAddrSel', 'INTEGER', true, null, null);
        $this->addColumn('inst_addr_val', 'InstAddrVal', 'VARCHAR', true, 255, null);
        $this->addColumn('evt_spec_sel', 'EvtSpecSel', 'INTEGER', true, null, null);
        $this->addColumn('evt_spec_val', 'EvtSpecVal', 'VARCHAR', true, 255, null);
        $this->addColumn('min_int', 'MinInt', 'INTEGER', true, null, null);
        $this->addColumn('last_ping', 'LastPing', 'INTEGER', true, null, null);
        $this->addColumn('has_alarm', 'HasAlarm', 'BOOLEAN', true, 1, null);
        $this->addColumn('inactive', 'Inactive', 'BOOLEAN', true, 1, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
    } // buildRelations()

} // RemoteWatchdogTableMap
