<?php

require_once 'AlarmManagement/DataTypes/EventSpec.php';

/**
 * Skeleton subclass for representing a row from the 'alm_evt_dscr' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    propel.generator.propel
 */
class AlarmEventDescriptor extends BaseAlarmEventDescriptor {

	/**
	 * Overrides parent methods to switch between db value and type class instance
	 */

	public function getEvtSpecSel() {
		return new EventSel($this->evt_spec_sel);
	} 

	public function setEvtSpecSel($evt_spec_sel) {
		parent::setEvtSpecSel($evt_spec_sel->getValue());
	} 

	public function getEvtSpec() {
		return new EventSpec($this->evt_spec_sel, $this->evt_spec_val);
	} 

	public function setEvtSpec(EventSpec $evt_spec) {
		parent::setEvtSpecSel($evt_spec->getSelector()->getValue());
		parent::setEvtSpecVal($evt_spec->getValue());
	}
	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
	    switch ($name) {
	        case 'evt_spec':
	            return $this->getEvtSpec();
	            break;
	        default:
	    }
	    return parent::getByName($name, $type);
	}
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
	    switch ($name) {
	        case 'evt_spec':
	            return $this->setEvtSpec($value);
	            break;
	        default:
	    }
	    return parent::setByName($name, $value, $type);
	}
	

	/**
	 * Overrides parent method to maintain modification counting
	 */
	public function save(PropelPDO $con = null)
	{
		if ($this->isNew() || $this->mod >= 999999) {
			$this->setMod(0);
		} else {
			$this->setMod($this->mod + 1);
		}
		return parent::save($con);
	}

	/**
	 * Overrides and extents parent method to check ref int
	 */
	public function delete(PropelPDO $con = null)
	{
		$rels = $this->getAess();
		if (! $rels->isEmpty()) return GenericAdmin::EC_INT_VIOL;
		$rels = $this->getBess();
		if (! $rels->isEmpty()) return GenericAdmin::EC_INT_VIOL;
		$rels = $this->getFess();
		if (! $rels->isEmpty()) return GenericAdmin::EC_INT_VIOL;
		$rels = $this->getTasars();
		if (! $rels->isEmpty()) return GenericAdmin::EC_INT_VIOL;
		$rels = $this->getTasars();
		if (! $rels->isEmpty()) return GenericAdmin::EC_INT_VIOL;
		
		return parent::delete($con);
	}
	

} // AlarmEventDescriptor
