<?php



/**
 * This class defines the structure of the 'alm_bal_mon' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class AlarmBalanceMonitorTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.AlarmBalanceMonitorTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('alm_bal_mon');
        $this->setPhpName('AlarmBalanceMonitor');
        $this->setClassname('AlarmBalanceMonitor');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('uncfd_asta_bal', 'UncfdAstaBal', 'INTEGER', true, null, 0);
        $this->addColumn('cfd_asta_bal', 'CfdAstaBal', 'INTEGER', true, null, 0);
        $this->addColumn('evt_sel_mode', 'EvtSelMode', 'INTEGER', true, null, null);
        $this->addColumn('bal_evt_sel', 'BalEvtSel', 'INTEGER', true, null, 0);
        $this->addColumn('esc_host_sel', 'EscHostSel', 'INTEGER', true, null, 0);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('Bes', 'BalancingEventSelector', RelationMap::ONE_TO_MANY, array('id' => 'abm_id', ), null, null, 'Bess');
        $this->addRelation('Ehs', 'EscalationHostSelector', RelationMap::ONE_TO_MANY, array('id' => 'abm_id', ), null, null, 'Ehss');
    } // buildRelations()

} // AlarmBalanceMonitorTableMap
