<?php



/**
 * This class defines the structure of the 'alm_mgmt_host' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class AlarmingManagementHostTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.AlarmingManagementHostTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('alm_mgmt_host');
        $this->setPhpName('AlarmingManagementHost');
        $this->setClassname('AlarmingManagementHost');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('host_addr_sel', 'HostAddrSel', 'INTEGER', true, null, null);
        $this->addColumn('host_addr_val', 'HostAddrVal', 'VARCHAR', true, 255, null);
        $this->addColumn('local', 'Local', 'BOOLEAN', true, 1, null);
        $this->addColumn('interface_class', 'InterfaceClass', 'VARCHAR', true, 255, '');
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('Amo', 'AlarmingManagedObject', RelationMap::ONE_TO_MANY, array('id' => 'amh_id', ), null, null, 'Amos');
        $this->addRelation('Ehs', 'EscalationHostSelector', RelationMap::ONE_TO_MANY, array('id' => 'amh_id', ), null, null, 'Ehss');
        $this->addRelation('Dhs', 'DestinationHostSelector', RelationMap::ONE_TO_MANY, array('id' => 'amh_id', ), null, null, 'Dhss');
    } // buildRelations()

} // AlarmingManagementHostTableMap
