<?php



/**
 * This class defines the structure of the 'cur_alm_cond' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class CurrentAlarmConditionTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.CurrentAlarmConditionTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('cur_alm_cond');
        $this->setPhpName('CurrentAlarmCondition');
        $this->setClassname('CurrentAlarmCondition');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addForeignKey('amo_id', 'AmoId', 'INTEGER', 'alm_man_obj', 'id', true, null, null);
        $this->addForeignKey('aed_id', 'AedId', 'INTEGER', 'alm_evt_dscr', 'id', true, null, null);
        $this->addColumn('evt_time', 'EvtTime', 'VARCHAR', true, 255, null);
        $this->addColumn('rec_date', 'RecDate', 'VARCHAR', true, 255, null);
        $this->addColumn('alm_stat', 'AlmStat', 'INTEGER', true, null, null);
        $this->addColumn('serv_infl', 'ServInfl', 'INTEGER', true, null, null);
        $this->addColumn('obs_val', 'ObsVal', 'INTEGER', false, null, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('AlarmingManagedObject', 'AlarmingManagedObject', RelationMap::MANY_TO_ONE, array('amo_id' => 'id', ), null, null);
        $this->addRelation('AlarmEventDescriptor', 'AlarmEventDescriptor', RelationMap::MANY_TO_ONE, array('aed_id' => 'id', ), null, null);
    } // buildRelations()

} // CurrentAlarmConditionTableMap
