<?php



/**
 * This class defines the structure of the 'moc_dscr' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class ManagedObjectClassDescriptorTableMap extends TableMap {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'propel.map.ManagedObjectClassDescriptorTableMap';

	/**
	 * Initialize the table attributes, columns and validators
	 * Relations are not initialized by this method since they are lazy loaded
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function initialize()
	{
	  // attributes
		$this->setName('moc_dscr');
		$this->setPhpName('ManagedObjectClassDescriptor');
		$this->setClassname('ManagedObjectClassDescriptor');
		$this->setPackage('propel');
		$this->setUseIdGenerator(true);
		// columns
		$this->addPrimaryKey('ID', 'Id', 'INTEGER', true, null, null);
		$this->addColumn('MOD', 'Mod', 'INTEGER', true, null, null);
		$this->addColumn('INTERN', 'Intern', 'VARCHAR', true, 255, null);
		$this->addColumn('EXTERN', 'Extern', 'VARCHAR', true, 255, null);
		// validators
	} // initialize()

	/**
	 * Build the RelationMap objects for this table relationships
	 */
	public function buildRelations()
	{
    $this->addRelation('Atdc', 'AttributeDescriptor', RelationMap::ONE_TO_MANY, array('id' => 'mocd_id', ), null, null);
	} // buildRelations()

} // ManagedObjectClassDescriptorTableMap
