<?php



/**
 * This class defines the structure of the 'probable_cause' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class ProbableCauseTableMap extends TableMap {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'propel.map.ProbableCauseTableMap';

	/**
	 * Initialize the table attributes, columns and validators
	 * Relations are not initialized by this method since they are lazy loaded
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function initialize()
	{
	  // attributes
		$this->setName('probable_cause');
		$this->setPhpName('ProbableCause');
		$this->setClassname('ProbableCause');
		$this->setPackage('propel');
		$this->setUseIdGenerator(true);
		// columns
		$this->addPrimaryKey('ID', 'Id', 'INTEGER', true, null, null);
		$this->addColumn('SELECTOR', 'Selector', 'VARCHAR', true, 10, null);
		$this->addColumn('VALUE', 'Value', 'VARCHAR', true, 255, null);
		// validators
	} // initialize()

	/**
	 * Build the RelationMap objects for this table relationships
	 */
	public function buildRelations()
	{
    $this->addRelation('ProbCause', 'CurrentAlarmCondition', RelationMap::ONE_TO_MANY, array('id' => 'pc_id', ), null, null);
	} // buildRelations()

} // ProbableCauseTableMap
