<?php



/**
 * This class defines the structure of the 'thr_asev_asgt_rule' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class ThresholdAlarmSeverityAssignmentRuleTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.ThresholdAlarmSeverityAssignmentRuleTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('thr_asev_asgt_rule');
        $this->setPhpName('ThresholdAlarmSeverityAssignmentRule');
        $this->setClassname('ThresholdAlarmSeverityAssignmentRule');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addForeignKey('aed_id', 'AedId', 'INTEGER', 'alm_evt_dscr', 'id', true, null, null);
        $this->addColumn('cnt_val_clear', 'CntValClear', 'INTEGER', true, null, null);
        $this->addColumn('cnt_val_warn', 'CntValWarn', 'INTEGER', true, null, null);
        $this->addColumn('cnt_val_min', 'CntValMin', 'INTEGER', true, null, null);
        $this->addColumn('cnt_val_maj', 'CntValMaj', 'INTEGER', true, null, null);
        $this->addColumn('cnt_val_crit', 'CntValCrit', 'INTEGER', true, null, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('AlarmEventDescriptor', 'AlarmEventDescriptor', RelationMap::MANY_TO_ONE, array('aed_id' => 'id', ), null, null);
    } // buildRelations()

} // ThresholdAlarmSeverityAssignmentRuleTableMap
