<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class HostAddrSel extends EnumType {

	/** the possible values for type host address selector */
	const NAME		= 1; // host name
	const IP4		= 2; // IPv4
	const IP6		= 3; // IPv6
	const FREE_FORM	= 4; // free form

	// (string representations of) defined values
	public static $defd_vals = array (
		self::NAME 		=> 'host_name',
		self::IP4		=> 'IPv4',
		self::IP6		=> 'IPv6',
		self::FREE_FORM => 'free_form'
	);

	public function __construct($value) {
		$this->initInstance('HostAddrSel', self::$defd_vals, $value);
	}
}
