<?php

// imports
require_once 'GenericAdmin/DataTypes/AttrProperty.php';
require_once 'GenericAdmin/DataTypes/AttrBaseType.php';
	// Generic Administration configuration data
	$mocd_tab = array (
		1 => array (
			'intern' => 'AlarmingManagementHost',
			'extern' => 'AlarmingManagementHost'),
		2 => array (
			'intern' => 'AlarmEventDescriptor',
			'extern' => 'AlarmEventDescriptor'),
		3 => array (
			'intern' => 'AlarmingManagedObject',
			'extern' => 'AlarmingManagedObject'),
		4 => array (
			'intern' => 'AlarmSeverityAssignmentRule',
			'extern' => 'AlarmSeverityAssignmentRule'),
		5 => array (
			'intern' => 'AlarmBalanceMonitor',
			'extern' => 'AlarmBalanceMonitor'),
		6 => array (
			'intern' => 'AlarmForwardingInstruction',
			'extern' => 'AlarmForwardingInstruction'),
		7 => array (
			'intern' => 'ThresholdAlarmSeverityAssignmentRule',
			'extern' => 'ThresholdAlarmSeverityAssignmentRule')
	);

	$atdc_tab = array (
		1 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmingManagementHost',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		2 => array (
			'intern'  => 'host_addr',
			'extern'  => 'host_addr',
			'moc'     => 'AlarmingManagementHost',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_TYP_CL_AWK),
			'typ_cl'  => 'HostAddr'),
		3 => array (
			'intern'  => 'local',
			'extern'  => 'local',
			'moc'     => 'AlarmingManagementHost',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_BOOL, AttrProperty::AP_MEQU)),
		28 => array (
			'intern'  => 'interface_class',
			'extern'  => 'interface_class',
			'moc'     => 'AlarmingManagementHost',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU)),
		4 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmEventDescriptor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		5 => array (
			'intern'  => 'evt_spec',
			'extern'  => 'evt_spec',
			'moc'     => 'AlarmEventDescriptor',
		    'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_TYP_CL_AWK),
			'typ_cl'  => 'EventSpec'),
		6 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmingManagedObject',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		7 => array (
			'intern'  => 'amh_id',
			'extern'  => 'alm_mgmt_host_id',
			'moc'     => 'AlarmingManagedObject',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_REL),
			'rel_moc' => 1), //AlarmingManagementHost
		8 => array (
			'intern'  => 'inst_addr',
			'extern'  => 'inst_addr',
			'moc'     => 'AlarmingManagedObject',
			'props'   => array (AttrProperty::AP_GET)),
		9 => array (
			'intern'  => 'cur_prob_list',
			'extern'  => 'cur_prob_list',
			'moc'     => 'AlarmingManagedObject',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_LIST)),
		10 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		11 => array (
			'intern'  => 'precedence',
			'extern'  => 'precedence',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD)),
		12 => array (
			'intern'  => 'sev_serv_indep',
			'extern'  => 'sev_serv_indep',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD),
			'typ_cl'  => 'AlarmSevty'),
		13 => array (
			'intern'  => 'sev_serv_unaff',
			'extern'  => 'sev_serv_unaff',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD),
			'typ_cl'  => 'AlarmSevty'),
		14 => array (
			'intern'  => 'sev_serv_aff',
			'extern'  => 'sev_serv_aff',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD),
			'typ_cl'  => 'AlarmSevty'),
		15 => array (
			'intern'  => 'evt_sel_mode',
			'extern'  => 'evt_sel_mode',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU),
			'typ_cl'  => 'SelectMode'),
		16 => array (
			'intern'  => 'asgt_evt_sel',
			'extern'  => 'asgt_evt_sel',
			'moc'     => 'AlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_LIST, AttrProperty::AP_REL),
			'rel_moc' => 2), // AlarmEventDescriptor
		17 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU)),
		18 => array (
			'intern'  => 'uncfd_asta_bal',
			'extern'  => 'uncfd_asta_bal',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_INIT, AttrProperty::AP_MEQU)),
		19 => array (
			'intern'  => 'cfd_asta_bal',
			'extern'  => 'cfd_asta_bal',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_INIT, AttrProperty::AP_MEQU)),
		20 => array (
			'intern'  => 'evt_sel_mode',
			'extern'  => 'evt_sel_mode',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU),
			'typ_cl'  => 'SelectMode'),
		21 => array (
			'intern'  => 'bal_evt_sel',
			'extern'  => 'bal_evt_sel',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_REL),
		    'att_base_type' => AttrBaseType::ABT_List,
			'rel_moc' => 2), //AlarmEventDescriptor
		22 => array (
			'intern'  => 'esc_host_sel',
			'extern'  => 'esc_host_sel',
			'moc'     => 'AlarmBalanceMonitor',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_REL, AttrProperty::AP_DEF),
		    'att_base_type' => AttrBaseType::ABT_List,
		    'rel_moc' => 1), //AlarmingManagementHost
		23 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'AlarmForwardingInstruction',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		24 => array (
			'intern'  => 'admin_state',
			'extern'  => 'admin_state',
			'moc'     => 'AlarmForwardingInstruction',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_MEQU, AttrProperty::AP_MORD),
			'typ_cl'  => 'AdminState'),
		25 => array (
			'intern'  => 'evt_sel_mode',
			'extern'  => 'evt_sel_mode',
			'moc'     => 'AlarmForwardingInstruction',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_MEQU),
			'typ_cl'  => 'SelectMode'),
		26 => array (
			'intern'  => 'forw_evt_sel',
			'extern'  => 'forw_evt_sel',
			'moc'     => 'AlarmForwardingInstruction',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_LIST, AttrProperty::AP_REL),
			'rel_moc' => 2), // AlarmEventDescriptor
		27 => array (
			'intern'  => 'dest_host_sel',
			'extern'  => 'dest_host_sel',
			'moc'     => 'AlarmForwardingInstruction',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_LIST, AttrProperty::AP_REL),
			'rel_moc' => 1), // AlarmingManagementHost
		29 => array (
			'intern'  => 'name',
			'extern'  => 'name',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		30 => array (
			'intern'  => 'aed_id',
			'extern'  => 'alm_evt_dscr_id',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET, AttrProperty::AP_REL, AttrProperty::AP_MEQU),
			'rel_moc' => 2), // AlarmEventDescriptor
		31 => array (
			'intern'  => 'cnt_val_clear',
			'extern'  => 'cnt_val_clear',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		32 => array (
			'intern'  => 'cnt_val_warn',
			'extern'  => 'cnt_val_warn',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		33 => array (
			'intern'  => 'cnt_val_min',
			'extern'  => 'cnt_val_min',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		34 => array (
			'intern'  => 'cnt_val_maj',
			'extern'  => 'cnt_val_maj',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET)),
		35 => array (
			'intern'  => 'cnt_val_crit',
			'extern'  => 'cnt_val_crit',
			'moc'     => 'ThresholdAlarmSeverityAssignmentRule',
			'props'   => array (AttrProperty::AP_GET, AttrProperty::AP_SET))
	);	
	
?>
